Bug 137956 - Update Port: editors/emacs to 23.1
Update Port: editors/emacs to 23.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Boris Samorodov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-19 09:40 UTC by wahjava
Modified: 2009-12-20 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (108.74 KB, patch)
2009-08-19 09:40 UTC, wahjava
no flags Details | Diff
bsd.emacs.mk.diff (1.46 KB, patch)
2009-09-13 06:39 UTC, wahjava
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description wahjava 2009-08-19 09:40:01 UTC
This diff file updates GNU Emacs to v. 23.1.

Emacs 23 has a wide variety of new features, including:

    * Improved Unicode support.
    * Font rendering with Fontconfig and Xft.
    * Support for using X displays and text terminals in one session, and for running as a daemon.
    * Support for multi-file commits in distributed version-control systems (VC-dir).
    * New modes and packages for viewing PDF and postscript files (Doc-view mode), connecting to processes through D-Bus (dbus), connecting to the GNU Privacy Guard (EasyPG), editing XML documents (nXML mode), editing Ruby programs (Ruby mode), and more.

Detailed list is available at: http://www.gnu.org/software/emacs/NEWS.23.1
Comment 1 Edwin Groothuis freebsd_committer 2009-08-19 09:40:44 UTC
Maintainer of editors/emacs,

Please note that PR ports/137956 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/137956

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-08-19 09:40:45 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Boris Samorodov freebsd_committer 2009-08-20 00:12:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bsam

Take.
Comment 4 dfilter freebsd_committer 2009-09-07 20:33:43 UTC
bsam        2009-09-07 19:33:30 UTC

  FreeBSD ports repository

  Modified files:
    editors/emacs        Makefile distinfo pkg-plist 
    editors/emacs/files  patch-Makefile.in 
                         patch-lispintro-Makefile.in 
                         patch-lispref-Makefile.in 
                         patch-man-Makefile.in patch-src__alloc.c 
  Added files:
    editors/emacs/files  patch-doc-emacs-Makefile.in 
                         patch-doc-lispintro-Makefile.in 
                         patch-doc-lispref-Makefile.in 
                         patch-doc-misc-Makefile.in 
                         patch-sources.el 
  Log:
  Updat GNU Emacs to v. 23.1.
  
  Emacs 23 has a wide variety of new features, including:
  
  * Improved Unicode support.
  * Font rendering with Fontconfig and Xft.
  * Support for using X displays and text terminals in one session,
    and for running as a daemon.
  * Support for multi-file commits in distributed version-control
     systems (VC-dir).
  * New modes and packages for viewing PDF and postscript files
    (Doc-view mode), connecting to processes through D-Bus (dbus),
    connecting to the GNU Privacy Guard (EasyPG), editing XML
    documents (nXML mode), editing Ruby programs (Ruby mode), and more.
  
  Detailed list is available at: http://www.gnu.org/software/emacs/NEWS.23.1
  
  PR:             ports/137956
  Submitted by:   Ashish SHUKLA <wahjava at gmail.com>
  Approved by:    keramida@ceid.upatras.gr (maintainer tineout, 19 days)
  
  Revision  Changes    Path
  1.83      +49 -20    ports/editors/emacs/Makefile
  1.15      +3 -3      ports/editors/emacs/distinfo
  1.5       +9 -9      ports/editors/emacs/files/patch-Makefile.in
  1.1       +20 -0     ports/editors/emacs/files/patch-doc-emacs-Makefile.in (new)
  1.1       +20 -0     ports/editors/emacs/files/patch-doc-lispintro-Makefile.in (new)
  1.1       +11 -0     ports/editors/emacs/files/patch-doc-lispref-Makefile.in (new)
  1.1       +11 -0     ports/editors/emacs/files/patch-doc-misc-Makefile.in (new)
  1.3       +0 -11     ports/editors/emacs/files/patch-lispintro-Makefile.in
  1.3       +0 -38     ports/editors/emacs/files/patch-lispref-Makefile.in
  1.2       +0 -11     ports/editors/emacs/files/patch-man-Makefile.in
  1.1       +10 -0     ports/editors/emacs/files/patch-sources.el (new)
  1.3       +0 -15     ports/editors/emacs/files/patch-src__alloc.c
  1.29      +999 -243  ports/editors/emacs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Boris Samorodov freebsd_committer 2009-09-07 20:33:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks!
Comment 6 Boris Samorodov freebsd_committer 2009-09-08 12:38:45 UTC
State Changed
From-To: closed->open

Re-open the PR since the update was backed out. 
There are some changes pending: 
. create devel/emacs22 port (a PR for repocopy emacs -> emacs22 has been 
submitted); 
. make apropriate updates to Mk/bsd.emacs.mk; 
. (may be) do an experimental run at the FreeBSD ports cluster since 
there are many dependencies.
Comment 7 keramida freebsd_committer 2009-12-09 23:00:04 UTC
I've just tried building editors/emacs with the patch by Ashish.  It
successfully installed on FreeBSD/i386 when built WITHOUT_X11=1,
WITHOUT_GTK=1 and with the default options.

Boris, the attached patch is a single diff file with all the changes
made by Ashish to bring Emacs 23.1 to ports.  Now that editors/emacs is
a different port from editors/emacs22 is it ok to commit this update?

----- emacs-23.1-update.patch begins here -----
Update editors/emacs to 23.1 (released: July 29, 2009)

Emacs 23.1 has a wide variety of new features, including:

  * Improved Unicode support.
  * Font rendering with Fontconfig and Xft.
  * Support for using X displays and text terminals in one session, and
    for running as a daemon.
  * Support for multi-file commits in distributed version-control
    systems (VC-dir).
  * New modes and packages for viewing PDF and postscript files
    (Doc-view mode), connecting to processes through D-Bus (dbus),
    connecting to the GNU Privacy Guard (EasyPG), editing XML documents
    (nXML mode), editing Ruby programs (Ruby mode), and more.

PR:		ports/137956
Submitted by:	Ashish SHUKLA <wahjava@gmail.com>

diff -r 46bfd4849e31 -r 029e1b904daf Mk/bsd.emacs.mk
--- a/Mk/bsd.emacs.mk	Tue Dec 08 20:52:43 2009 +0000
+++ b/Mk/bsd.emacs.mk	Thu Dec 10 00:55:49 2009 +0200
@@ -7,7 +7,7 @@
 Emacs_Include=			bsd.emacs.mk
 Emacs_Include_MAINTAINER=	ports@FreeBSD.org
 
-EMACS_PORT_NAME?=	emacs22
+EMACS_PORT_NAME?=	emacs23
 
 #
 # This file for ports which depend on emacs family.
@@ -87,6 +87,23 @@
 EMACS_MAJOR_VER=	22
 EMACS_LIBDIR?=		share/${EMACS_NAME}
 EMACS_LIBDIR_WITH_VER?=	share/${EMACS_NAME}/${EMACS_VER}
+EMACS_PORTSDIR=		${PORTSDIR}/editors/emacs22
+EMACS_COMMON_PORT=	NO
+EMACS_HAS_MULE=		YES
+EMACS_NO_SUBDIRSEL=	NO
+.if (${EMACS_MASTERDIR_PKGFILES} == "YES")
+COMMENTFILE?=		${PKGDIR}/pkg-comment.${EMACS_PORT_NAME}
+DESCR?=			${PKGDIR}/pkg-descr.${EMACS_PORT_NAME}
+PLIST?=			${PKGDIR}/pkg-plist.${EMACS_PORT_NAME}
+.endif
+
+# Emacs-23.x
+.elif (${EMACS_PORT_NAME} == "emacs23")
+EMACS_NAME=		emacs
+EMACS_VER=		23.1
+EMACS_MAJOR_VER=	23
+EMACS_LIBDIR?=		share/${EMACS_NAME}
+EMACS_LIBDIR_WITH_VER?=	share/${EMACS_NAME}/${EMACS_VER}
 EMACS_PORTSDIR=		${PORTSDIR}/editors/emacs
 EMACS_COMMON_PORT=	NO
 EMACS_HAS_MULE=		YES
@@ -191,7 +208,7 @@
 check-makevars::
 	@${ECHO} "Makefile error: Bad value of EMACS_PORT_NAME: ${EMACS_PORT_NAME}."
 	@${ECHO} "Valid values are:"
-	@${ECHO} "	Emacs  family: emacs21 emacs22 emacs-devel"
+	@${ECHO} "	Emacs  family: emacs21 emacs22 emacs23 emacs-devel"
 	@${ECHO} "	XEmacs family: xemacs21 xemacs21-mule xemacs-devel"
 	@${ECHO} "	               xemacs-devel-mule xemacs-mule-xft"
 	@${FALSE}
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/Makefile
--- a/editors/emacs/Makefile	Tue Dec 08 20:52:43 2009 +0000
+++ b/editors/emacs/Makefile	Thu Dec 10 00:55:49 2009 +0200
@@ -7,8 +7,6 @@
 
 PORTNAME=	emacs
 PORTVERSION=	${EMACS_VER}
-PORTREVISION=	1
-PORTEPOCH=	1
 CATEGORIES=	editors ipv6
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -17,8 +15,12 @@
 COMMENT=	GNU editing macros
 
 .if !defined(WITHOUT_X11)
+USE_XORG=	x11
+USE_GNOME=	librsvg2
 .if defined(WITHOUT_GTK)
-LIB_DEPENDS=	Xaw3d.${XAWVER}:${PORTSDIR}/x11-toolkits/Xaw3d
+USE_XORG=	xaw xft xpm
+.else
+USE_GNOME+=	gtk20
 .endif
 LIB_DEPENDS+=	jpeg.10:${PORTSDIR}/graphics/jpeg \
 		tiff.4:${PORTSDIR}/graphics/tiff \
@@ -26,48 +28,66 @@
 		png.5:${PORTSDIR}/graphics/png
 .endif
 
-CONFLICTS=	emacs-19.* emacs-21.* \
+MAKE_JOBS_UNSAFE=	yes
+
+CONFLICTS=	emacs-19.* emacs-21.* emacs-22.* \
 		xemacs-[0-9]* xemacs-devel-[0-9]* \
 		xemacs-mule-[0-9]* xemacs-devel-mule-[0-9]*
 
-EMACS_VER=	22.3
+INSTALLS_ICONS=	yes
+
+EMACS_VER=	23.1
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-
-.if !defined(WITHOUT_X11)
-.if !defined(WITHOUT_GTK)
-USE_GNOME=	gtk20
-.else
-USE_XORG=	x11
-.endif
-USE_XORG=	xpm xft
-.endif
+USE_BZIP2=	yes
 
 .if defined(WITHOUT_X11)
 CONFIGURE_ARGS=		--with-x=no
 .else
 .if !defined(WITHOUT_GTK)
-CONFIGURE_ARGS=		--with-gtk
+CONFIGURE_ARGS=		--with-x-toolkit=gtk
+.else
+CONFIGURE_ARGS=		--with-x-toolkit=athena
 .endif
+LIB_DEPENDS+=		freetype.9:${PORTSDIR}/print/freetype2 \
+			m17n.3:${PORTSDIR}/devel/m17n-lib
+# also libotf, which is pulled in by m17n
+
+# m17n depends on libintl.so too
+CONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include" \
+		LDFLAGS="-L${LOCALBASE}/lib -lintl"
+USE_GETTEXT=	yes
 .endif
 
 .if defined(WITHOUT_XIM)
 CONFIGURE_ARGS+=	--without-xim
 .endif
 
-MAN1=		ctags.1 emacs.1 emacsclient.1 etags.1
+MAN1=		b2m.1 ctags.1 ebrowse.1 emacs.1 emacsclient.1 etags.1 \
+		grep-changelog.1 rcs-checkin.1
 PLIST_SUB=	EMACS_VER=${EMACS_VER} EMACS_ARCH=${CONFIGURE_TARGET}
 
 MAKE_ENV=	LC_ALL=C
 
-INFO=		ada-mode autotype calc ccmode cl dired-x ebrowse ediff \
-		efaq eintr elisp emacs-mime emacs erc eshell eudc \
-		flymake forms gnus idlwave info message mh-e newsticker \
-		org pcl-cvs pgg rcirc reftex sc ses sieve smtpmail speedbar \
-		tramp url vip viper widget woman
+INFO=		ada-mode auth autotype calc ccmode cl dbus dired-x \
+		ebrowse ediff efaq eintr elisp emacs-mime emacs epa \
+		erc eshell eudc flymake forms gnus idlwave info \
+		mairix-el message mh-e newsticker nxml-mode \
+		org pcl-cvs pgg rcirc reftex remember sasl sc ses sieve \
+		smtpmail speedbar tramp url vip viper widget woman
+
+LATEST_LINK=	emacs23
+
+OPTIONS=	SOURCES	"Install source code"	ON
 
 .include <bsd.port.pre.mk>
 
+.if defined(WITH_SOURCES)
+PLIST_SUB+=	SOURCES=""
+.else
+PLIST_SUB+=	SOURCES="@comment "
+.endif
+
 .if ${ARCH} == "ia64"
 BROKEN=	Emacs 22.X does not currently build on ia64
 .endif
@@ -86,5 +106,13 @@
 
 post-patch:
 	@${RM} -f ${WRKSRC}/info/*
+	@${REINPLACE_CMD} -e "s/%%EMACS_VER%%/${EMACS_VER}/g" -e "s/%%DATADIR%%/${DATADIR:C/\//\\\//g}/g" ${WRKSRC}/sources.el
+
+.if defined(WITH_SOURCES)
+post-install:
+	@${MKDIR} ${DATADIR}/${EMACS_VER}/src
+	@${INSTALL_DATA} ${WRKSRC}/src/*.[ch] ${DATADIR}/${EMACS_VER}/src
+	@${INSTALL_DATA} ${WRKSRC}/sources.el ${DATADIR}/${EMACS_VER}/site-lisp/site-start.el
+.endif
 
 .include <bsd.port.post.mk>
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/distinfo
--- a/editors/emacs/distinfo	Tue Dec 08 20:52:43 2009 +0000
+++ b/editors/emacs/distinfo	Thu Dec 10 00:55:49 2009 +0200
@@ -1,3 +1,3 @@
-MD5 (emacs-22.3.tar.gz) = aa8ba34f548cd78b35914ae5a7bb87eb
-SHA256 (emacs-22.3.tar.gz) = 7bd9b719db8ee20c75ee0d256737f7fd2c0e2ea30a285a3afbfc32c856420d16
-SIZE (emacs-22.3.tar.gz) = 39587396
+MD5 (emacs-23.1.tar.bz2) = 17f7f0ba68a0432d58fa69d05a2225be
+SHA256 (emacs-23.1.tar.bz2) = 2b35f4457c7a0ee9f9185579cc2890b43f129a112cf22500233489db7a24cb1c
+SIZE (emacs-23.1.tar.bz2) = 34382732
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-Makefile.in
--- a/editors/emacs/files/patch-Makefile.in	Tue Dec 08 20:52:43 2009 +0000
+++ b/editors/emacs/files/patch-Makefile.in	Thu Dec 10 00:55:49 2009 +0200
@@ -1,8 +1,8 @@
---- Makefile.in.orig	2008-09-07 05:23:59.000000000 +0300
-+++ Makefile.in	2008-09-07 05:23:59.000000000 +0300
-@@ -419,14 +419,6 @@
- ## That flag is also used in leim/Makefile.in
- install-arch-indep: mkdir info
+--- Makefile.in.orig	Tue Jun 23 07:41:36 2009 +0300
++++ Makefile.in	Tue Jun 23 07:39:33 2009 +0300
+@@ -461,14 +461,6 @@
+ 
+ install-arch-indep: mkdir info install-etc
  	-set ${COPYDESTS} ; \
 -	unset CDPATH; \
 -	for dir in ${COPYDIR} ; do \
@@ -15,10 +15,10 @@
  	mkdir ${COPYDESTS} ; \
  	chmod ugo+rx ${COPYDESTS} ; \
  	unset CDPATH; \
-@@ -513,9 +505,9 @@
- 	   fi; \
+@@ -570,9 +562,9 @@
  	   cd ${srcdir}/info ; \
  	   for elt in $(INFO_FILES); do \
+ 	      test "$(MAKEINFO)" = "off" && ! test -e $$elt && continue; \
 -	      for f in `ls $$elt $$elt-[1-9] $$elt-[1-9][0-9] 2>/dev/null`; do \
 -	        ${INSTALL_DATA} $$f $(DESTDIR)${infodir}/$$f; \
 -	        chmod a+r $(DESTDIR)${infodir}/$$f; \
@@ -28,9 +28,9 @@
  	      done; \
  	   done); \
  	else true; fi
-@@ -525,7 +517,7 @@
- 	then \
+@@ -583,7 +575,7 @@
  	  for elt in $(INFO_FILES); do \
+ 	    test "$(MAKEINFO)" = "off" && ! test -e $$elt && continue; \
  	    (cd $${thisdir}; \
 -	     ${INSTALL_INFO} --info-dir=$(DESTDIR)${infodir} $(DESTDIR)${infodir}/$$elt); \
 +	     ${INSTALL_INFO} --info-dir=$(DESTDIR)${infodir} $(DESTDIR)${infodir}/$$elt.info); \
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-doc-emacs-Makefile.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/editors/emacs/files/patch-doc-emacs-Makefile.in	Thu Dec 10 00:55:49 2009 +0200
@@ -0,0 +1,20 @@
+--- doc/emacs/Makefile.in.orig	2008-12-09 19:27:59.000000000 +0200
++++ doc/emacs/Makefile.in	2008-12-09 19:25:19.000000000 +0200
+@@ -34,7 +34,7 @@
+ 
+ # The makeinfo program is part of the Texinfo distribution.
+ # Use --force so that it generates output even if there are errors.
+-MAKEINFO = makeinfo --force
++MAKEINFO = makeinfo --force --no-split
+ 
+ INFO_TARGETS = $(infodir)/emacs
+ DVI_TARGETS  = emacs.dvi
+@@ -144,7 +144,7 @@
+ #	rm -f Makefile
+ 
+ maintainer-clean: distclean
+-	for file in $(INFO_TARGETS); do rm -f $${file}*; done
++	for file in $(INFO_TARGETS); do rm -f $${file}; done
+ 
+ 
+ # Formerly this directory had texindex.c and getopt.c in it
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-doc-lispintro-Makefile.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/editors/emacs/files/patch-doc-lispintro-Makefile.in	Thu Dec 10 00:55:49 2009 +0200
@@ -0,0 +1,20 @@
+--- doc/lispintro/Makefile.in.orig	2008-12-09 19:27:59.000000000 +0200
++++ doc/lispintro/Makefile.in	2008-12-09 19:25:20.000000000 +0200
+@@ -33,7 +33,7 @@
+ INFO_TARGETS = ${infodir}/eintr
+ DVI_TARGETS = emacs-lisp-intro.dvi
+ 
+-MAKEINFO = makeinfo
++MAKEINFO = makeinfo --no-split
+ TEXI2DVI = texi2dvi
+ DVIPS = dvips
+ 
+@@ -65,7 +65,7 @@
+ 
+ maintainer-clean: distclean
+ 	rm -f *.aux *.cps *.fns *.kys *.pgs *.vrs *.toc
+-	cd $(infodir); rm -f eintr eintr-[1-9]
++	cd $(infodir); rm -f eintr
+ 
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-doc-lispref-Makefile.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/editors/emacs/files/patch-doc-lispref-Makefile.in	Thu Dec 10 00:55:49 2009 +0200
@@ -0,0 +1,11 @@
+--- doc/lispref/Makefile.in.orig	2008-12-09 19:27:59.000000000 +0200
++++ doc/lispref/Makefile.in	2008-12-09 19:25:20.000000000 +0200
+@@ -32,7 +32,7 @@
+ TEXI2DVI = texi2dvi
+ SHELL = /bin/sh
+ INSTALL_INFO = install-info
+-MAKEINFO = makeinfo --force
++MAKEINFO = makeinfo --force --no-split
+ 
+ # List of all the texinfo files in the manual:
+ 
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-doc-misc-Makefile.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/editors/emacs/files/patch-doc-misc-Makefile.in	Thu Dec 10 00:55:49 2009 +0200
@@ -0,0 +1,11 @@
+--- doc/misc/Makefile.in.orig	Tue Jun 23 07:39:39 2009 +0300
++++ doc/misc/Makefile.in	Tue Jun 23 07:39:41 2009 +0300
+@@ -34,7 +34,7 @@
+ 
+ # The makeinfo program is part of the Texinfo distribution.
+ # Use --force so that it generates output even if there are errors.
+-MAKEINFO = makeinfo --force
++MAKEINFO = makeinfo --force --no-split
+ 
+ # Also add new entries to INFO_FILES in the top-level Makefile.in.
+ INFO_TARGETS = \
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-lispintro-Makefile.in
--- a/editors/emacs/files/patch-lispintro-Makefile.in	Tue Dec 08 20:52:43 2009 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
---- lispintro/Makefile.in.orig	2008-09-07 05:24:38.000000000 +0300
-+++ lispintro/Makefile.in	2008-09-07 05:24:38.000000000 +0300
-@@ -34,7 +34,7 @@
- INFO_TARGETS = ${infodir}/eintr
- DVI_TARGETS = emacs-lisp-intro.dvi
- 
--MAKEINFO = makeinfo
-+MAKEINFO = makeinfo --no-split
- TEXI2DVI = texi2dvi
- DVIPS = dvips
- 
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-lispref-Makefile.in
--- a/editors/emacs/files/patch-lispref-Makefile.in	Tue Dec 08 20:52:43 2009 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,38 +0,0 @@
---- lispref/Makefile.in.orig	2008-09-07 05:24:57.000000000 +0300
-+++ lispref/Makefile.in	2008-09-07 05:24:57.000000000 +0300
-@@ -33,7 +33,7 @@
- TEXI2DVI = texi2dvi
- SHELL = /bin/sh
- INSTALL_INFO = install-info
--MAKEINFO = makeinfo --force
-+MAKEINFO = makeinfo --force --no-split
- 
- # The name of the manual:
- VERSION=2.9
-@@ -110,7 +110,7 @@
- # This is for use in a separate distro of the Emacs Lisp manual.
- install: elisp
- 	$(srcdir)/mkinstalldirs $(infodir)
--	cp elisp elisp-[1-9] elisp-[1-9][0-9] $(infodir)
-+	cp elisp $(infodir)
- 	${INSTALL_INFO} --info-dir=${infodir} ${infodir}/elisp
- 
- # This is for use in a separate distro of the Emacs Lisp manual.
-@@ -126,7 +126,7 @@
- 
- maintainer-clean: clean
- 	rm -f elisp.dvi elisp.oaux
--	cd $(infodir); rm -f elisp elisp-[1-9] elisp-[1-9][0-9]
-+	cd $(infodir); rm -f elisp
- 
- dist: $(infodir)/elisp elisp.dvi
- 	-rm -rf temp
-@@ -136,7 +136,7 @@
-  $(srcdir)/Makefile.in $(srcs) \
-  $(srcdir)/../man/texinfo.tex \
-  elisp.dvi elisp.aux elisp.??s \
-- $(infodir)/elisp $(infodir)/elisp-[1-9] $(infodir)/elisp-[1-9][0-9] \
-+ $(infodir)/elisp \
-  temp/$(manual)
- 	-(cd temp/$(manual); rm -f mkinstalldirs)
- 	cp $(srcdir)/mkinstalldirs temp/$(manual)
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-man-Makefile.in
--- a/editors/emacs/files/patch-man-Makefile.in	Tue Dec 08 20:52:43 2009 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,11 +0,0 @@
---- ./man/Makefile.in.orig	Sat May  6 18:54:21 2006
-+++ ./man/Makefile.in	Fri Sep  1 21:10:08 2006
-@@ -32,7 +32,7 @@
- 
- # The makeinfo program is part of the Texinfo distribution.
- # Use --force so that it generates output even if there are errors.
--MAKEINFO = makeinfo --force
-+MAKEINFO = makeinfo --force --no-split
- INFO_TARGETS = ../info/emacs ../info/ccmode ../info/cl \
- 	        ../info/dired-x ../info/ediff ../info/forms ../info/gnus \
- 		../info/message ../info/sieve ../info/pgg ../info/emacs-mime \
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-sources.el
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/editors/emacs/files/patch-sources.el	Thu Dec 10 00:55:49 2009 +0200
@@ -0,0 +1,10 @@
+
+$FreeBSD: ports/editors/emacs-devel/files/patch-sources.el,v 1.1 2009/06/17 03:51:58 pgollucci Exp $
+
+--- /dev/null
++++ sources.el
+@@ -0,0 +1,4 @@
++;;; Path to Emacs C Sources.
++(when (string-match (regexp-quote "%%EMACS_VER%%") emacs-version)
++  (setq find-function-C-source-directory
++        "%%DATADIR%%/%%EMACS_VER%%/src"))
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/files/patch-src__alloc.c
--- a/editors/emacs/files/patch-src__alloc.c	Tue Dec 08 20:52:43 2009 +0000
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,15 +0,0 @@
---- src/alloc.c.orig	2008-09-07 05:25:27.000000000 +0300
-+++ src/alloc.c	2008-09-07 05:25:27.000000000 +0300
-@@ -4573,8 +4573,12 @@
-      needed on ia64 too.  See mach_dep.c, where it also says inline
-      assembler doesn't work with relevant proprietary compilers.  */
- #ifdef __sparc__
-+#ifdef __sparc64__
-+  asm ("flushw");
-+#else
-   asm ("ta 3");
- #endif
-+#endif
- 
-   /* Save registers that we need to see on the stack.  We need to see
-      registers used to hold register variables and registers used to
diff -r 46bfd4849e31 -r 029e1b904daf editors/emacs/pkg-plist
--- a/editors/emacs/pkg-plist	Tue Dec 08 20:52:43 2009 +0000
+++ b/editors/emacs/pkg-plist	Thu Dec 10 00:55:49 2009 +0200
@@ -17,8 +17,11 @@
 libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%/sorted-doc
 libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%/update-game-score
 libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%/vcdiff
+share/applications/emacs.desktop
+%%DATADIR%%/%%EMACS_VER%%/etc/AUTHORS
 %%DATADIR%%/%%EMACS_VER%%/etc/BABYL
 %%DATADIR%%/%%EMACS_VER%%/etc/CENSORSHIP
+%%DATADIR%%/%%EMACS_VER%%/etc/CONTRIBUTE
 %%DATADIR%%/%%EMACS_VER%%/etc/COOKIES
 %%DATADIR%%/%%EMACS_VER%%/etc/COPYING
 %%DATADIR%%/%%EMACS_VER%%/etc/DEBUG
@@ -46,6 +49,8 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/NEWS.19
 %%DATADIR%%/%%EMACS_VER%%/etc/NEWS.20
 %%DATADIR%%/%%EMACS_VER%%/etc/NEWS.21
+%%DATADIR%%/%%EMACS_VER%%/etc/NEWS.22
+%%DATADIR%%/%%EMACS_VER%%/etc/NXML-NEWS
 %%DATADIR%%/%%EMACS_VER%%/etc/ORDERS
 %%DATADIR%%/%%EMACS_VER%%/etc/PROBLEMS
 %%DATADIR%%/%%EMACS_VER%%/etc/README
@@ -53,77 +58,170 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/TERMS
 %%DATADIR%%/%%EMACS_VER%%/etc/THE-GNU-PROJECT
 %%DATADIR%%/%%EMACS_VER%%/etc/TODO
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.bg
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.cn
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.cs
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.de
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.eo
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.es
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.fr
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.it
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.ja
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.ko
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.nl
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.pl
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.pt_BR
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.ro
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.ru
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.sk
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.sl
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.sv
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.th
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.translators
-%%DATADIR%%/%%EMACS_VER%%/etc/TUTORIAL.zh
 %%DATADIR%%/%%EMACS_VER%%/etc/WHY-FREE
-%%DATADIR%%/%%EMACS_VER%%/etc/calccard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/calccard.tex
 %%DATADIR%%/%%EMACS_VER%%/etc/celibacy.1
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-10.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-11.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-13.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-14.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-15.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-16.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-2.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-3.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-4.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-5.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-6.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-7.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-8.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/8859-9.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/ALTERNATIVNYJ.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/BIG5-1.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/BIG5-2.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/BIG5-HKSCS.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/BIG5.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-1.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-2.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-3.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-4.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-5.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-6.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-7.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CNS-F.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP10007.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1125.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1250.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1251.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1252.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1253.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1254.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1255.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1256.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1257.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP1258.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP720.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP737.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP775.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP858.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP932-2BYTE.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/CP949-2BYTE.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/EBCDICUK.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/EBCDICUS.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/GB180302.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/GB180304.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/GB2312.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/GBK.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/HP-ROMAN8.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM037.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM038.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM1004.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM1026.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM1047.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM256.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM273.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM274.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM275.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM277.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM278.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM280.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM281.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM284.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM285.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM290.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM297.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM420.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM423.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM424.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM437.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM500.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM850.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM851.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM852.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM855.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM856.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM857.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM860.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM861.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM862.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM863.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM864.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM865.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM866.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM868.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM869.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM870.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM871.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM874.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM875.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM880.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM891.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM903.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM904.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM905.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/IBM918.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISC6226.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX0201.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX0208.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX0212.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX2131.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX2132.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JISX213A.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/JOHAB.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KA-ACADEMY.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KA-PS.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KOI-8.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KOI8-R.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KOI8-T.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KOI8-U.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KSC5601.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/KSC5636.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MACINTOSH.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MIK.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-ethiopic.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-ipa.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-is13194.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-lviscii.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-sisheng.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-tibetan.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/MULE-uviscii.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/NEXTSTEP.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/PTCP154.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/README
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/TIS-620.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/VISCII.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/VSCII-2.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/VSCII.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/stdenc.map
+%%DATADIR%%/%%EMACS_VER%%/etc/charsets/symbol.map
 %%DATADIR%%/%%EMACS_VER%%/etc/compilation.txt
 %%DATADIR%%/%%EMACS_VER%%/etc/condom.1
 %%DATADIR%%/%%EMACS_VER%%/etc/copying.paper
-%%DATADIR%%/%%EMACS_VER%%/etc/cs-dired-ref.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/cs-dired-ref.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/cs-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/cs-refcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/cs-survival.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/ctags.1
-%%DATADIR%%/%%EMACS_VER%%/etc/de-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/de-refcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/dired-ref.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/dired-ref.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/e/README
 %%DATADIR%%/%%EMACS_VER%%/etc/e/eterm-color
 %%DATADIR%%/%%EMACS_VER%%/etc/e/eterm-color.ti
 %%DATADIR%%/%%EMACS_VER%%/etc/echo.msg
 %%DATADIR%%/%%EMACS_VER%%/etc/edt-user.doc
 %%DATADIR%%/%%EMACS_VER%%/etc/emacs-buffer.gdb
-%%DATADIR%%/%%EMACS_VER%%/etc/emacs.1
 %%DATADIR%%/%%EMACS_VER%%/etc/emacs.bash
 %%DATADIR%%/%%EMACS_VER%%/etc/emacs.csh
+%%DATADIR%%/%%EMACS_VER%%/etc/emacs.desktop
 %%DATADIR%%/%%EMACS_VER%%/etc/emacs.icon
 %%DATADIR%%/%%EMACS_VER%%/etc/emacs.py
-%%DATADIR%%/%%EMACS_VER%%/etc/emacsclient.1
-%%DATADIR%%/%%EMACS_VER%%/etc/emacstool.1
+%%DATADIR%%/%%EMACS_VER%%/etc/emacs2.py
+%%DATADIR%%/%%EMACS_VER%%/etc/emacs3.py
 %%DATADIR%%/%%EMACS_VER%%/etc/enriched.doc
-%%DATADIR%%/%%EMACS_VER%%/etc/etags.1
-%%DATADIR%%/%%EMACS_VER%%/etc/fr-drdref.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/fr-drdref.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/fr-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/fr-refcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/fr-survival.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/forms-d2.dat
 %%DATADIR%%/%%EMACS_VER%%/etc/future-bug
-%%DATADIR%%/%%EMACS_VER%%/etc/gnus-booklet.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/gnus-logo.eps
-%%DATADIR%%/%%EMACS_VER%%/etc/gnus-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/gnus-refcard.tex
 %%DATADIR%%/%%EMACS_VER%%/etc/gnus-tut.txt
-%%DATADIR%%/%%EMACS_VER%%/etc/gnus.pbm
+%%DATADIR%%/%%EMACS_VER%%/etc/gnus/gnus-setup.ast
+%%DATADIR%%/%%EMACS_VER%%/etc/gnus/news-server.ast
 %%DATADIR%%/%%EMACS_VER%%/etc/grep.txt
 %%DATADIR%%/%%EMACS_VER%%/etc/images/README
 %%DATADIR%%/%%EMACS_VER%%/etc/images/attach.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/attach.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/back-arrow.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/back-arrow.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/bookmark_add.pbm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/bookmark_add.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/cancel.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/cancel.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/close.pbm
@@ -133,6 +231,11 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/contact.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/copy.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/copy.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/custom/README
+%%DATADIR%%/%%EMACS_VER%%/etc/images/custom/down-pushed.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/custom/down.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/custom/right-pushed.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/custom/right.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/cut.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/cut.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/data-save.pbm
@@ -175,6 +278,7 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/ezimage/unlock.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/fwd-arrow.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/fwd-arrow.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/gnus.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/README
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/catchup.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/catchup.xpm
@@ -196,6 +300,8 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnntg.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus-pointer.xbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus-pointer.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus.svg
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus.xbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/gnus.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus/important.xpm
@@ -275,10 +381,17 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/home.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/home.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/README
-%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/emacs_16.png
-%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/emacs_24.png
-%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/emacs_32.png
-%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/emacs_48.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/128x128/apps/emacs.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/16x16/apps/emacs.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/16x16/apps/emacs22.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/24x24/apps/emacs.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/24x24/apps/emacs22.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/32x32/apps/emacs.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/32x32/apps/emacs22.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/48x48/apps/emacs.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/48x48/apps/emacs22.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/scalable/apps/emacs.svg
+%%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/scalable/mimetypes/emacs-document.svg
 %%DATADIR%%/%%EMACS_VER%%/etc/images/index.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/index.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/info.pbm
@@ -287,6 +400,8 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/jump-to.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/left-arrow.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/left-arrow.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/letter.pbm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/letter.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/lock-broken.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/lock-ok.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/lock.xpm
@@ -387,8 +502,36 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/forced.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/frown.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/frown.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/README
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/blink.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/braindamaged.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/cry.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/dead.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/evil.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/forced.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/frown.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/grin.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/indifferent.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/reverse-smile.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/sad.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/smile.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale/wry.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grin.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/indifferent.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/README
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/blink.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/braindamaged.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/cry.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/dead.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/evil.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/forced.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/frown.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/grin.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/indifferent.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/reverse-smile.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/sad.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/smile.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium/wry.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/sad.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/sad.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/smile.pbm
@@ -402,6 +545,48 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/sort-row-ascending.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/spell.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/spell.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/splash.pbm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/splash.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/splash.svg
+%%DATADIR%%/%%EMACS_VER%%/etc/images/splash.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/README
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/close.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/close.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/empty.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/empty.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/end-guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/end-guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/handle.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/handle.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/leaf.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/leaf.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/no-guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/no-guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/no-handle.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/no-handle.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/open.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default/open.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/README
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/close.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/close.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/empty.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/empty.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/end-guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/end-guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/handle.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/handle.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/leaf.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/leaf.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/no-guide.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/no-guide.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/no-handle.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/no-handle.xpm
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/open.png
+%%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder/open.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/undo.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/undo.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/up-arrow.pbm
@@ -411,75 +596,225 @@
 %%DATADIR%%/%%EMACS_VER%%/etc/images/zoom-in.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/zoom-out.pbm
 %%DATADIR%%/%%EMACS_VER%%/etc/images/zoom-out.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/letter.pbm
-%%DATADIR%%/%%EMACS_VER%%/etc/letter.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/ms-kermit
-%%DATADIR%%/%%EMACS_VER%%/etc/orgcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/orgcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/pl-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/pl-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00000-0007F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00080-000FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00100-0017F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00180-0024F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00250-002AF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/002B0-002FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00300-0036F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00370-003FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00400-004FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00500-0052F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00530-0058F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00590-005FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00600-006FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00700-0074F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00780-007BF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00900-0097F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00980-009FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00A00-00A7F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00A80-00AFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00B00-00B7F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00B80-00BFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00C00-00C7F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00C80-00CFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00D00-00D7F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00D80-00DFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00E00-00E7F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00E80-00EFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/00F00-00FFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01000-0109F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/010A0-010FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01100-011FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01200-0137F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/013A0-013FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01400-0167F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01680-0169F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/016A0-016FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01700-0171F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01720-0173F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01740-0175F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01760-0177F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01780-017FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01800-018AF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01E00-01EFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/01F00-01FFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02000-0206F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02070-0209F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/020A0-020CF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/020D0-020FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02100-0214F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02150-0218F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02190-021FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02200-022FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02300-023FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02400-0243F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02440-0245F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02460-024FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02500-0257F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02580-0259F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/025A0-025FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02600-026FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02700-027BF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/027C0-027EF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/027F0-027FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02800-028FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02900-0297F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02980-029FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02A00-02AFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02E80-02EFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02F00-02FDF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/02FF0-02FFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03000-0303F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03040-0309F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/030A0-030FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03100-0312F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03130-0318F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03190-0319F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/031A0-031BF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/031F0-031FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03200-032FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03300-033FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/03400-04DBF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0A000-0A48F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0A490-0A4CF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FB00-0FB4F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FB50-0FDFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FE00-0FE0F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FE20-0FE2F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FE30-0FE4F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FE50-0FE6F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FE70-0FEFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FF00-0FFEF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/0FFF0-0FFFF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/10300-1032F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/10330-1034F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/10400-1044F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/1D000-1D0FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/1D100-1D1FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/1D400-1D7FF.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/E0000-E007F.el
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/README
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/test-invalid.xml
+%%DATADIR%%/%%EMACS_VER%%/etc/nxml/test-valid.xml
 %%DATADIR%%/%%EMACS_VER%%/etc/ps-prin0.ps
 %%DATADIR%%/%%EMACS_VER%%/etc/ps-prin1.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/pt-br-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/pt-br-refcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/Makefile
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/README
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/calccard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/calccard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/cs-dired-ref.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/cs-dired-ref.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/cs-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/cs-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/cs-survival.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/de-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/de-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/dired-ref.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/dired-ref.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/fr-dired-ref.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/fr-dired-ref.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/fr-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/fr-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/fr-survival.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/gnus-booklet.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/gnus-logo.eps
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/gnus-logo.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/gnus-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/gnus-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/orgcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/orgcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/pdflayout.sty
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/pl-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/pl-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/pt-br-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/pt-br-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/ru-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/ru-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/sk-dired-ref.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/sk-dired-ref.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/sk-refcard.pdf
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/sk-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/sk-survival.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/survival.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/vipcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/refcards/viperCard.tex
 %%DATADIR%%/%%EMACS_VER%%/etc/rgb.txt
-%%DATADIR%%/%%EMACS_VER%%/etc/ru-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/ru-refcard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/README
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/calstbl.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/dbcalstbl.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/dbhier.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/dbnotn.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/dbpool.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/dbstart.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/docbook.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/locate.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/rdfxml.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/relaxng.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/schemas.xml
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-applet.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-attribs.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-base.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-bdo.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-bform.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-btable.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-csismap.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-datatypes.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-edit.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-events.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-form.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-frames.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-hypertext.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-iframe.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-image.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-inlstyle.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-legacy.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-link.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-lst.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-meta.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-nameident.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-object.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-param.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-pres.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-ruby.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-script.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-ssismap.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-struct.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-table.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-text.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-tgt.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml-xstyle.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xhtml.rnc
+%%DATADIR%%/%%EMACS_VER%%/etc/schema/xslt.rnc
 %%DATADIR%%/%%EMACS_VER%%/etc/ses-example.ses
 %%DATADIR%%/%%EMACS_VER%%/etc/sex.6
-%%DATADIR%%/%%EMACS_VER%%/etc/sk-dired-ref.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/sk-dired-ref.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/sk-refcard.ps
-%%DATADIR%%/%%EMACS_VER%%/etc/sk-refcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/sk-survival.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/splash.pbm
-%%DATADIR%%/%%EMACS_VER%%/etc/splash.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/splash8.xpm
 %%DATADIR%%/%%EMACS_VER%%/etc/spook.lines
-%%DATADIR%%/%%EMACS_VER%%/etc/survival.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/termcap.src
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/README
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/close.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/close.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/empty.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/empty.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/end-guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/end-guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/handle.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/handle.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/leaf.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/leaf.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/no-guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/no-guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/no-handle.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/no-handle.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/open.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default/open.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/README
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/close.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/close.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/empty.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/empty.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/end-guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/end-guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/handle.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/handle.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/leaf.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/leaf.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/no-guide.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/no-guide.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/no-handle.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/no-handle.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/open.png
-%%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder/open.xpm
-%%DATADIR%%/%%EMACS_VER%%/etc/vipcard.tex
-%%DATADIR%%/%%EMACS_VER%%/etc/viperCard.tex
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.bg
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.cn
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.cs
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.de
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.eo
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.es
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.fr
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.it
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.ja
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.ko
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.nl
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.pl
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.pt_BR
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.ro
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.ru
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.sk
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.sl
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.sv
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.th
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.translators
+%%DATADIR%%/%%EMACS_VER%%/etc/tutorials/TUTORIAL.zh
 %%DATADIR%%/%%EMACS_VER%%/etc/yow.lines
 %%DATADIR%%/%%EMACS_VER%%/leim/ja-dic/ja-dic.el.gz
 %%DATADIR%%/%%EMACS_VER%%/leim/ja-dic/ja-dic.elc
@@ -518,6 +853,8 @@
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/ZIRANMA.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/ZOZY.el.gz
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/ZOZY.elc
+%%DATADIR%%/%%EMACS_VER%%/leim/quail/arabic.el.gz
+%%DATADIR%%/%%EMACS_VER%%/leim/quail/arabic.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/croatian.el.gz
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/croatian.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/cyril-jis.el.gz
@@ -534,8 +871,6 @@
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/greek.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/hangul.el.gz
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/hangul.elc
-%%DATADIR%%/%%EMACS_VER%%/leim/quail/hangul3.el.gz
-%%DATADIR%%/%%EMACS_VER%%/leim/quail/hangul3.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/hanja-jis.el.gz
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/hanja-jis.elc
 %%DATADIR%%/%%EMACS_VER%%/leim/quail/hanja.el.gz
@@ -637,6 +972,7 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/button.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/button.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/README
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/README.prev
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-aent.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-aent.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-alg.el.gz
@@ -671,18 +1007,23 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-keypd.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-lang.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-lang.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-loaddefs.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-macs.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-macs.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-map.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-map.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-math.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-math.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-menu.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-menu.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-misc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-misc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-mtx.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-mtx.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-nlfit.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-nlfit.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-poly.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-poly.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calc/calc-prog.el.gz
@@ -743,6 +1084,7 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-iso.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-julian.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-julian.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-loaddefs.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-mayan.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-mayan.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/cal-menu.el.gz
@@ -759,6 +1101,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/calendar.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/diary-lib.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/diary-lib.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/calendar/diary-loaddefs.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/calendar/hol-loaddefs.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/holidays.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/holidays.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/calendar/icalendar.el.gz
@@ -836,6 +1180,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/disp-table.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/dnd.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/dnd.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/doc-view.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/doc-view.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/dos-fns.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/dos-fns.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/dos-vars.el.gz
@@ -886,6 +1232,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/authors.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/autoload.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/autoload.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/avl-tree.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/avl-tree.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/backquote.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/backquote.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/benchmark.el.gz
@@ -898,6 +1246,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/byte-run.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/bytecomp.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/bytecomp.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/check-declare.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/check-declare.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/checkdoc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/checkdoc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/cl-compat.el.gz
@@ -962,8 +1312,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lisp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lmenu.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lmenu.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lselect.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lselect.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lucid.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/lucid.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/emacs-lisp/macroexp.el.gz
@@ -1062,6 +1410,20 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/emulation/ws-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/env.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/env.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-dired.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-dired.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-file.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-file.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-hook.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-hook.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-mail.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa-mail.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epa.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epg-config.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epg-config.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/epg.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/epg.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-autoaway.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-autoaway.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-backend.el.gz
@@ -1092,6 +1454,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-join.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-lang.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-lang.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-list.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-list.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-log.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-log.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/erc/erc-match.el.gz
@@ -1171,7 +1535,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-groups.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-io.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-io.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-maint.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/eshell/esh-module.el.gz
@@ -1192,6 +1555,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/expand.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/ezimage.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ezimage.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/face-remap.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/face-remap.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/facemenu.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/facemenu.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/faces.el.gz
@@ -1204,6 +1569,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/files.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/filesets.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/filesets.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/find-cmd.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/find-cmd.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/find-dired.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/find-dired.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/find-file.el.gz
@@ -1223,9 +1590,10 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/font-core.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/font-lock.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/font-lock.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/format-spec.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/format-spec.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/format.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/format.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/forms-d2.dat
 %%DATADIR%%/%%EMACS_VER%%/lisp/forms-d2.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/forms-pass.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/forms.el.gz
@@ -1236,24 +1604,20 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/fringe.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/generic-x.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/generic-x.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/binhex.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/binhex.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/auth-source.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/auth-source.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/canlock.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/canlock.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/compface.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/compface.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/deuglify.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/deuglify.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/dig.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/dig.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/dns.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/dns.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/earcon.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/earcon.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/ecomplete.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/ecomplete.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/flow-fill.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/flow-fill.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/format-spec.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/format-spec.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gmm-utils.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gmm-utils.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-agent.el.gz
@@ -1266,6 +1630,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-audio.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-bcklg.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-bcklg.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-bookmark.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-bookmark.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-cache.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-cache.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-cite.el.gz
@@ -1290,8 +1656,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-ems.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-fun.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-fun.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-gl.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-gl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-group.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-group.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-int.el.gz
@@ -1350,14 +1714,10 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus-win.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/gnus.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/hex-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/hex-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/html2text.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/html2text.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/ietf-drums.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/ietf-drums.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/imap.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/imap.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/legacy-gnus-agent.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/legacy-gnus-agent.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/mail-parse.el.gz
@@ -1424,6 +1784,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnheader.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnimap.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnimap.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnir.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnir.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnkiboze.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnkiboze.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnlistserv.el.gz
@@ -1432,6 +1794,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmail.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmaildir.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmaildir.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmairix.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmairix.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmbox.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmbox.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/nnmh.el.gz
@@ -1478,8 +1842,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/rfc2231.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/score-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/score-mode.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/sha1.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/sha1.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/sieve-manage.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/sieve-manage.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/sieve-mode.el.gz
@@ -1494,14 +1856,14 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam-report.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam-stat.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam-stat.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam-wash.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam-wash.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/spam.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/starttls.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/starttls.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/utf7.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/utf7.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/uudecode.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/gnus/uudecode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/webmail.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/webmail.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/gnus/yenc.el.gz
@@ -1518,6 +1880,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/help-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/help.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/help.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/hex-util.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/hex-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/hexl.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/hexl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/hi-lock.el.gz
@@ -1562,16 +1926,16 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/info.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/informat.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/informat.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/README
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/ccl.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/ccl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/characters.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/characters.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/code-pages.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/code-pages.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/codepage.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/codepage.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/charprop.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/cp51932.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/encoded-kb.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/encoded-kb.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/eucjp-ms.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/fontset.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/fontset.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/isearch-x.el.gz
@@ -1592,13 +1956,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/kkc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/latexenc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/latexenc.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-1.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-2.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-3.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-4.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-5.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-8.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/latin-9.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/latin1-disp.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/latin1-disp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/mule-cmds.el.gz
@@ -1614,24 +1971,26 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/ogonek.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/quail.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/quail.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-big5.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-big5.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-gb2312.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-gb2312.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-jis.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-jis.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-ksc.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/subst-ksc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/robin.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/robin.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/titdic-cnv.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/titdic-cnv.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/ucs-tables.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/ucs-tables.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-16.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-16.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-bidi.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-category.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-combining.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-comment.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-decimal.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-decomposition.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-digit.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-lowercase.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-mirrored.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-name.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-numeric.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-old-name.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-titlecase.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/international/uni-uppercase.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-7.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-7.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-8.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/international/utf-8.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/isearch.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/isearch.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/isearchb.el.gz
@@ -1644,10 +2003,14 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/jka-cmpr-hook.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/jka-compr.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/jka-compr.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/json.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/json.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/kermit.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/kermit.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/kmacro.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/kmacro.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/burmese.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/cham.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/china-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/china-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/chinese.el.gz
@@ -1657,9 +2020,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/cyrillic.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/cyrillic.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/czech.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/devan-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/devan-util.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/devanagari.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/english.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/ethio-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/ethio-util.elc
@@ -1669,6 +2029,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/european.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/georgian.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/greek.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/hanja-util.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/hanja-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/hebrew.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/ind-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/ind-util.elc
@@ -1677,22 +2039,18 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/japan-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/japan-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/japanese.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/kannada.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/knd-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/knd-util.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/khmer.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/korea-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/korea-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/korean.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/lao-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/lao-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/lao.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/malayalam.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/misc-lang.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/mlm-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/mlm-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/romanian.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/sinhala.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/slovak.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/tamil.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/tai-viet.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/thai-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/thai-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/thai-word.el.gz
@@ -1702,8 +2060,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/tibet-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/tibetan.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/tibetan.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/tml-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/language/tml-util.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/tv-util.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/language/tv-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/utf-8-lang.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/viet-util.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/language/viet-util.elc
@@ -1712,6 +2070,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/ldefs-boot.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/ledit.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ledit.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/linum.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/linum.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/loaddefs.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/loadhist.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/loadhist.elc
@@ -1730,6 +2090,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/ls-lisp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/macros.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/macros.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/binhex.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/binhex.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/blessmail.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/emacsbug.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/emacsbug.elc
@@ -1737,6 +2099,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/feedmail.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/footnote.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/footnote.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/hashcash.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/hashcash.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/mail-extr.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/mail-extr.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/mail-hist.el.gz
@@ -1771,6 +2135,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailedit.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailkwd.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailkwd.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailmm.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailmm.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailmsc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailmsc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/rmailout.el.gz
@@ -1791,14 +2157,18 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/undigest.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/unrmail.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mail/unrmail.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/mail/vms-pmail.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/mail/vms-pmail.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/uudecode.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/mail/uudecode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/makesum.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/makesum.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/man.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/man.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/master.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/master.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/mb-depth.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/mb-depth.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/md4.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/md4.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/menu-bar.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/menu-bar.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mh-e/mh-acros.el
@@ -1853,8 +2223,12 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/midnight.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/minibuf-eldef.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/minibuf-eldef.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/minibuffer.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/minibuffer.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/misc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/misc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/misearch.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/misearch.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mouse-copy.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/mouse-copy.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/mouse-drag.el.gz
@@ -1871,6 +2245,12 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/ange-ftp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/browse-url.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/browse-url.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dbus.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dbus.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dig.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dig.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dns.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/dns.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/eudc-bob.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/eudc-bob.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/eudc-export.el.gz
@@ -1891,14 +2271,34 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/eudcb-ph.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/goto-addr.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/goto-addr.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/hmac-def.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/hmac-def.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/hmac-md5.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/hmac-md5.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/imap.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/imap.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/ldap.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/ldap.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/mairix.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/mairix.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/net-utils.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/net-utils.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/netrc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/netrc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-backend.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-backend.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-plainview.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-plainview.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-reader.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-reader.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-ticker.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-ticker.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-treeview.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/newst-treeview.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/newsticker.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/newsticker.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/ntlm.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/ntlm.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/quickurl.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/quickurl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/rcirc.el.gz
@@ -1907,6 +2307,14 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/rcompile.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/rlogin.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/rlogin.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-cram.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-cram.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-digest.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-digest.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-ntlm.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl-ntlm.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/sasl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/snmp-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/snmp-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/socks.el.gz
@@ -1915,40 +2323,89 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/telnet.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tls.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tls.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-cache.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-cache.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-cmds.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-cmds.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-compat.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-compat.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-fish.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-fish.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-ftp.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-ftp.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-gw.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-gw.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-smb.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-smb.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-util.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-util.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-uu.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-uu.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-vc.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp-vc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/tramp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/trampver.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/trampver.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/webjump.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/net/webjump.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/xesam.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/xesam.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/zeroconf.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/net/zeroconf.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/newcomment.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/newcomment.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/novice.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/novice.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/auto-show.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/auto-show.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/TODO
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-enc.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-enc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-glyph.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-glyph.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-maint.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-maint.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-mode.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-mode.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-ns.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-ns.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-outln.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-outln.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-parse.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-parse.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-rap.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-rap.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-uchnm.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-uchnm.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-util.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/nxml-util.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-cmpct.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-cmpct.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-dt.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-dt.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-loc.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-loc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-maint.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-maint.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-match.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-match.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-nxml.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-nxml.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-parse.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-parse.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-pttrn.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-pttrn.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-uri.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-uri.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-util.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-util.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-valid.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-valid.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-xsd.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/rng-xsd.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/xmltok.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/xmltok.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/xsd-regexp.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/nxml/xsd-regexp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/awk-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/awk-mode.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/bg-mouse.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/bg-mouse.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/fast-lock.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/fast-lock.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/float.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/float.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/hilit19.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/hilit19.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/hscroll.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/hscroll.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/iso-acc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/iso-acc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/iso-insert.el.gz
@@ -1958,40 +2415,100 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/keyswap.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/lazy-lock.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/lazy-lock.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/mlsupport.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/mlsupport.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/ooutline.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/ooutline.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/old-whitespace.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/old-whitespace.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/options.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/options.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/profile.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/profile.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/resume.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/resume.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rnews.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rnews.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rnewspost.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rnewspost.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rsz-mini.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/rsz-mini.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sc.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/scribe.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/scribe.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sun-curs.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sun-curs.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sun-fns.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/sun-fns.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/swedish.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/swedish.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/uncompress.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/uncompress.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/x-apollo.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/x-apollo.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/vc-mcvs.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/vc-mcvs.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/x-menu.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete/x-menu.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-agenda.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-agenda.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-archive.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-archive.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-attach.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-attach.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-bbdb.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-bbdb.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-bibtex.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-bibtex.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-clock.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-clock.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-colview.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-colview.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-compat.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-compat.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-exp.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-exp.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-export-latex.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-export-latex.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-faces.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-faces.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-footnote.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-footnote.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-gnus.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-gnus.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-id.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-id.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-info.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-info.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-install.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-install.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-irc.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-irc.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-jsinfo.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-jsinfo.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-list.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-list.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mac-message.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mac-message.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-macs.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-macs.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mew.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mew.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mhe.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mhe.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mouse.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-mouse.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-plot.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-plot.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-publish.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-publish.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-remember.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-remember.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-rmail.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-rmail.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-table.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-table.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-timer.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-timer.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-vm.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-vm.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-w3m.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-w3m.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-wl.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org-wl.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/org/org.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/outline.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/outline.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/paren.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/paren.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/password-cache.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/password-cache.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/patcomp.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/paths.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/pcmpl-cvs.el.gz
@@ -2035,6 +2552,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/blackbox.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/blackbox.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/bruce.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/play/bubbles.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/play/bubbles.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/cookie1.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/cookie1.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/decipher.el.gz
@@ -2085,6 +2604,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/play/zone.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/printing.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/printing.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/proced.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/proced.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ada-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ada-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ada-prj.el.gz
@@ -2099,6 +2620,10 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/asm-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/autoconf.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/autoconf.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/bug-reference.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/bug-reference.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/cap-words.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/cap-words.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/cc-align.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/cc-align.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/cc-awk.el.gz
@@ -2211,8 +2736,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/mixal-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/modula2.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/modula2.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/octave-hlp.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/octave-hlp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/octave-inf.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/octave-inf.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/octave-mod.el.gz
@@ -2227,6 +2750,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ps-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/python.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/python.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ruby-mode.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/ruby-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/scheme.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/scheme.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/sh-script.el.gz
@@ -2235,6 +2760,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/simula.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/sql.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/sql.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/sym-comp.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/sym-comp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/tcl.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/tcl.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/vera-mode.el.gz
@@ -2249,10 +2776,14 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes/xscheme.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-bdf.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-bdf.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/ps-def.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/ps-def.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-mule.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-mule.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-print.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ps-print.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/ps-samp.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/ps-samp.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/recentf.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/recentf.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/rect.el.gz
@@ -2265,8 +2796,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/replace.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/reposition.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/reposition.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/resume.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/resume.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/reveal.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/reveal.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/rfn-eshadow.el.gz
@@ -2295,6 +2824,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/server.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/ses.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/ses.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/sha1.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/sha1.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/shadowfile.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/shadowfile.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/shell.el.gz
@@ -2334,20 +2865,21 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/README
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/apollo.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/bobcat.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/common-win.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/common-win.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/cygwin.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/term/internal.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/internal.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/internal.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/iris-ansi.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/linux.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/lk201.el
-%%DATADIR%%/%%EMACS_VER%%/lisp/term/mac-win.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/term/mac-win.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/news.el
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/ns-win.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/ns-win.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/pc-win.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/pc-win.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/rxvt.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/rxvt.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/term/sun-mouse.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/term/sun-mouse.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/sun.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/sun.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/sup-mouse.el.gz
@@ -2370,6 +2902,8 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/vt420.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/w32-win.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/w32-win.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/w32console.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/term/w32console.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/wyse50.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/x-win.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/term/x-win.elc
@@ -2403,18 +2937,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/makeinfo.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/nroff-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/nroff-mode.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-export-latex.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-export-latex.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-irc.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-irc.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mac-message.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mac-message.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mouse.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-mouse.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-publish.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org-publish.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/org.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/page-ext.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/page-ext.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/page.el.gz
@@ -2453,6 +2975,10 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/reftex-vars.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/reftex.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/reftex.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/remember.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/remember.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/rst.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/rst.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/sgml-mode.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/sgml-mode.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes/spell.el.gz
@@ -2557,24 +3083,28 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/url/url-vars.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/url/url.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/url/url.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/url/vc-dav.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/url/vc-dav.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/userlock.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/userlock.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-annotate.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-annotate.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-arch.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-arch.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-bzr.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-bzr.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-cvs.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-cvs.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dav.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dav.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dir.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dir.elc
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dispatcher.el.gz
+%%DATADIR%%/%%EMACS_VER%%/lisp/vc-dispatcher.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-git.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-git.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-hg.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-hg.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-hooks.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-hooks.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/vc-mcvs.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/vc-mcvs.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-mtn.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-mtn.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vc-rcs.el.gz
@@ -2590,10 +3120,6 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/version.el
 %%DATADIR%%/%%EMACS_VER%%/lisp/view.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/view.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/vms-patch.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/vms-patch.elc
-%%DATADIR%%/%%EMACS_VER%%/lisp/vmsproc.el.gz
-%%DATADIR%%/%%EMACS_VER%%/lisp/vmsproc.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vt-control.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/vt-control.elc
 %%DATADIR%%/%%EMACS_VER%%/lisp/vt100-led.el.gz
@@ -2627,19 +3153,207 @@
 %%DATADIR%%/%%EMACS_VER%%/lisp/xt-mouse.el.gz
 %%DATADIR%%/%%EMACS_VER%%/lisp/xt-mouse.elc
 %%DATADIR%%/%%EMACS_VER%%/site-lisp/subdirs.el
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/site-lisp/site-start.el
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/Makefile.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/alloc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/atimer.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/atimer.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/blockinput.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/buffer.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/buffer.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/bytecode.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/callint.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/callproc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/casefiddle.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/casetab.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/category.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/category.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ccl.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ccl.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/character.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/character.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/charset.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/charset.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/chartab.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/cm.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/cm.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/cmds.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/coding.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/coding.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/commands.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/composite.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/composite.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/config.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/data.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dbusbind.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dired.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dispextern.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dispnew.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/disptab.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/doc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/doprnt.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dosfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/dosfns.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ecrt0.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/editfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/emacs-icon.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/emacs.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/epaths.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/eval.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/fileio.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/filelock.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/filemode.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/firstfile.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/floatfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/fns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/font.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/font.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/fontset.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/fontset.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/frame.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/frame.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/fringe.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ftfont.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ftfont.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ftxfont.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/getloadavg.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/getpagesize.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/gmalloc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/gtkutil.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/gtkutil.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/image.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/indent.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/indent.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/insdel.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/intervals.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/intervals.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/keyboard.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/keyboard.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/keymap.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/keymap.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/lastfile.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/lisp.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/lread.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/macros.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/macros.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/marker.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/md5.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/md5.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/mem-limits.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/menu.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/menu.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/minibuf.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/mktime.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/msdos.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/msdos.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ndir.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/nsgui.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/nsterm.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/point.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/pre-crt0.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/prefix-args.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/print.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/process.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/process.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/puresize.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/ralloc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/regex.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/regex.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/region-cache.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/region-cache.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/scroll.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/search.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/sheap.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/sound.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/strftime.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/syntax.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/syntax.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/sysdep.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/sysselect.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/syssignal.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/systime.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/systty.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/syswait.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/term.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/termcap.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/termchar.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/termhooks.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/terminal.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/terminfo.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/termopts.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/textprop.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/tparam.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/undo.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexaix.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexalpha.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexcw.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexec.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexelf.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexhp9k800.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexmacosx.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexsol.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/unexw32.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/vm-limit.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w16select.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32console.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32fns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32font.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32font.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32gui.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32heap.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32heap.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32inevt.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32inevt.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32menu.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32proc.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32reg.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32select.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32term.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32term.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32uniscribe.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/w32xfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/widget.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/widget.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/widgetprv.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/window.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/window.h
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xdisp.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xfaces.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xfont.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xftfont.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xmenu.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xrdb.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xselect.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xsmfns.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xterm.c
+%%SOURCES%%%%DATADIR%%/%%EMACS_VER%%/src/xterm.h
 %%DATADIR%%/site-lisp/subdirs.el
+share/icons/hicolor/128x128/apps/emacs.png
+share/icons/hicolor/16x16/apps/emacs.png
+share/icons/hicolor/16x16/apps/emacs22.png
+share/icons/hicolor/24x24/apps/emacs.png
+share/icons/hicolor/24x24/apps/emacs22.png
+share/icons/hicolor/32x32/apps/emacs.png
+share/icons/hicolor/32x32/apps/emacs22.png
+share/icons/hicolor/48x48/apps/emacs.png
+share/icons/hicolor/48x48/apps/emacs22.png
+share/icons/hicolor/scalable/apps/emacs.svg
+share/icons/hicolor/scalable/mimetypes/emacs-document.svg
 var/games/emacs/snake-scores
 var/games/emacs/tetris-scores
-@dirrmtry var/games/emacs
-@dirrmtry var/games
-@dirrmtry var
-@dirrmtry %%DATADIR%%/%%EMACS_VER%%/site-lisp
+%%SOURCES%%@dirrm %%DATADIR%%/%%EMACS_VER%%/src
+@dirrm %%DATADIR%%/%%EMACS_VER%%/site-lisp
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/url
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/textmodes
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/term
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/progmodes
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/play
+@dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/org
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/obsolete
+@dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/nxml
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/net
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/mh-e
 @dirrm %%DATADIR%%/%%EMACS_VER%%/lisp/mail
@@ -2656,20 +3370,62 @@
 @dirrm %%DATADIR%%/%%EMACS_VER%%/leim/quail
 @dirrm %%DATADIR%%/%%EMACS_VER%%/leim/ja-dic
 @dirrm %%DATADIR%%/%%EMACS_VER%%/leim
-@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/folder
-@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/tree-widget/default
-@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/tree-widget
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/tutorials
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/schema
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/refcards
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/nxml
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/folder
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget/default
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/tree-widget
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/medium
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies/grayscale
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/smilies
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/mail
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/low-color
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/scalable/mimetypes
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/scalable/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/scalable
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/48x48/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/48x48
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/32x32/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/32x32
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/24x24/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/24x24
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/16x16/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/16x16
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/128x128/apps
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor/128x128
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons/hicolor
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/icons
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/gud
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/gnus
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/ezimage
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images/custom
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/images
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/gnus
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc/e
+@dirrm %%DATADIR%%/%%EMACS_VER%%/etc/charsets
 @dirrm %%DATADIR%%/%%EMACS_VER%%/etc
 @dirrm %%DATADIR%%/%%EMACS_VER%%
 @dirrm libexec/emacs/%%EMACS_VER%%/%%EMACS_ARCH%%
 @dirrm libexec/emacs/%%EMACS_VER%%
 @dirrm libexec/emacs
+@dirrmtry var/games/emacs
+@dirrmtry var/games
+@dirrmtry var
+@dirrmtry share/icons/hicolor/scalable/mimetypes
+@dirrmtry share/icons/hicolor/scalable/apps
+@dirrmtry share/icons/hicolor/scalable
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/24x24/apps
+@dirrmtry share/icons/hicolor/24x24
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/applications
----- emacs-23.1-update.patch ends here -----
Comment 8 rotkap 2009-12-14 12:42:02 UTC
Thank f=FCr the patch.

can anyone tell me, how to install that patch?

I tried:

cd /usr/ports/editors/emacs && patch < /usr/home/rotkap/emacs-23.1-update.p=
atch

after that i tried this:

cd /usr/ports/ && patch < /usr/home/rotkap/emacs-23.1-update.patch

Both is asking me



Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|Update editors/emacs to 23.1 (released: July 29, 2009)
|
|Emacs 23.1 has a wide variety of new features, including:
|
|  * Improved Unicode support.
|  * Font rendering with Fontconfig and Xft.
|  * Support for using X displays and text terminals in one session, and
|    for running as a daemon.
|  * Support for multi-file commits in distributed version-control
|    systems (VC-dir).
|  * New modes and packages for viewing PDF and postscript files
|    (Doc-view mode), connecting to processes through D-Bus (dbus),
|    connecting to the GNU Privacy Guard (EasyPG), editing XML documents
|    (nXML mode), editing Ruby programs (Ruby mode), and more.
|
|PR:            ports/137956
|Submitted by:  Ashish SHUKLA <wahjava@gmail.com>
|
|diff -r 46bfd4849e31 -r 029e1b904daf Mk/bsd.emacs.mk
|--- a/Mk/bsd.emacs.mk  Tue Dec 08 20:52:43 2009 +0000
|+++ b/Mk/bsd.emacs.mk  Thu Dec 10 00:55:49 2009 +0200
--------------------------
Comment 9 wahjava 2009-12-14 13:35:02 UTC
Hi Heino,

Heino Tiedemann writes:
> Thank für the patch.

> can anyone tell me, how to install that patch?

Instead of applying that patch on ports tree, I recommend doing the following:

#v+
user@host ~ % mkdir ~/test-ports
user@host ~ % cd ~/test-ports
user@host ~/test-ports % cp -R /usr/ports/Mk .
user@host ~/test-ports % mkdir editors
user@host ~/test-ports % cd editors
user@host ~/test-ports/editors % cp -R /usr/ports/editors/emacs .
user@host ~/test-ports/editors % cd ~/test-ports
user@host ~/test-ports % patch -p1 </usr/home/rotkap/emacs-23.1-update.patch
user@host ~/test-ports % sudo make -C editors/emacs build deinstall install
#v-

And optionally, to build a package:

#v+
user@host ~/test-ports % sudo make -C editors/emacs package
#v-

And to cleanup:

#v+
user@host ~/test-ports % sudo make -C editors/emacs clean
#v-

Please adapt the instructions to your setup. After installing emacs port as
mentioned above, if you want to install rest of emacs related ports from ports
tree, you've to update bsd.emacs.mk in ports tree following additional steps
before installing them:

#v+
user@host ~/test-ports % sudo cp /usr/ports/Mk/bsd.emacs.mk /usr/ports/Mk/bsd.emacs.mk.orig
user@host ~/test-ports % sudo cp Mk/bsd.emacs.mk /usr/ports/Mk/emacs.mk /usr/ports/Mk/bsd.emacs.mk
#v-

To revert back to original bsd.emacs.mk

#v+
user@host ~/test-ports % sudo cp /usr/ports/Mk/bsd.emacs.mk.orig /usr/ports/Mk/bsd.emacs.mk
#v-

I've not tried above instructions so I'm not sure if they'll work as mentioned.

HTH
-- 
Ashish SHUKLA
Comment 10 rotkap 2009-12-14 17:01:55 UTC
wahjava@gmail.com (Ashish SHUKLA) wrote:

> Hi Heino,
>
> Heino Tiedemann writes:
>> Thank f=FCr the patch.
>
>> can anyone tell me, how to install that patch?
>
> Instead of applying that patch on ports tree, I recommend doing the follo=
wing:

It's a good point to work on a copy. Thank you.

Well I did id on the original ports tree.

After that I removed Mk/bsd.emacs.mk and editors/emacs/*.=20

Then a cvsup run pu everything back to "original".

Heino
Comment 11 dfilter freebsd_committer 2009-12-20 20:19:38 UTC
bsam        2009-12-20 20:19:24 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.emacs.mk 
    audio/emms           Makefile 
    databases/bbdb       Makefile 
    databases/lsdb       Makefile 
    deskutils/org-mode.el6 Makefile distinfo pkg-plist 
    deskutils/planner.el Makefile 
    deskutils/remember.el Makefile 
    devel/cedet          Makefile 
    devel/ecb            Makefile 
    devel/elib           Makefile 
    devel/psvn           Makefile 
    devel/xtla           Makefile 
    editors              Makefile 
    editors/apel         Makefile 
    editors/bitmap       Makefile 
    editors/emacs        Makefile distinfo pkg-plist 
    editors/emacs/files  patch-Makefile.in 
    editors/flim         Makefile 
    editors/gnuserv      Makefile 
    editors/mode-info    Makefile 
    editors/nxml         Makefile 
    editors/psgml        Makefile 
    editors/semi         Makefile 
    editors/slime        Makefile 
    editors/tamago       Makefile pkg-plist 
    editors/tree-widget  Makefile 
    irc/riece            Makefile 
    japanese/ddskk       Makefile 
    japanese/egg-canna   Makefile 
    japanese/lookup      Makefile 
    japanese/migemo-emacs21 Makefile 
    japanese/migemo-emacs22 Makefile 
    japanese/navi2ch     Makefile 
    java/jde             Makefile 
    lang/bigloo          Makefile 
    lang/csharp-mode.el  Makefile 
    lang/gforth          Makefile 
    lang/ocaml-mode.el   Makefile 
    mail/emh             Makefile 
    mail/mew             Makefile 
    mail/vm              Makefile 
    mail/wanderlust      Makefile 
    mail/wanderlust-devel Makefile 
    misc/elscreen        Makefile 
    net/tramp            Makefile pkg-plist 
    net-im/jabber.el     Makefile 
    print/yatex          Makefile 
    sysutils/plod        Makefile 
    textproc/dictem      Makefile 
    textproc/dictionary  Makefile 
    textproc/doc-mode.el Makefile 
    textproc/muse        Makefile 
    textproc/uim-el      Makefile 
    www/emacs-w3m        Makefile 
  Added files:
    editors/emacs/files  patch-doc-emacs-Makefile.in 
                         patch-doc-lispintro-Makefile.in 
                         patch-doc-lispref-Makefile.in 
                         patch-doc-misc-Makefile.in 
                         patch-sources.el 
  Removed files:
    editors/emacs/files  patch-lispintro-Makefile.in 
                         patch-lispref-Makefile.in 
                         patch-man-Makefile.in patch-src__alloc.c 
  Log:
  Changes to editors/emacs and Mk/bsd.emacs.mk were taken from
  PR/137956 by Ashish SHUKLA (thanks!).  [1]
  
  Those ports which define EMACS_PORT_NAME to be "emacs21" were
  not touched (this time). They may be converted to the new
  world order by removing the above mentioned assignment.
  
  Four ports were marked as BROKEN with EMACS_PORT_NAME=emacs23
  (they do not compile):
  . lang/bigloo;
  . mail/wanderlust;
  . mail/wanderlust-devel;
  . www/emacs-w3m.
  
  Three ports were marked as IGNORE with EMACS_PORT_NAME=emacs23:
  . japanese/egg-canna (the port version is dated as of 2001,
    does not compile with Emacs 23 and seems it cannot be fixed);
  . deskutils/remember.el (was incorporated into Emacs 23);
  . editors/nxml (was incorporated into Emacs 23).
  
  Changes that were made after (and as a result of) exp run. For
  those ports:
  . japanese/migemo-emacs21;
  . japanese/migemo-emacs22
  EMACS_PORT_NAME?= was changed to EMACS_PORT_NAME= to the apropriate
  emacs port name.
  
  PR:             ports/137956 [1], ports/141369 [2]
  Submitted by:   Ashish SHUKLA <wahjava at gmail.com>  [1],
                  bsam (me)  [2]
  Exp-run by: miwi
  
  Revision  Changes    Path
  1.82      +20 -3     ports/Mk/bsd.emacs.mk
  1.9       +8 -8      ports/audio/emms/Makefile
  1.12      +1 -1      ports/databases/bbdb/Makefile
  1.15      +1 -1      ports/databases/lsdb/Makefile
  1.4       +2 -5      ports/deskutils/org-mode.el6/Makefile
  1.2       +3 -3      ports/deskutils/org-mode.el6/distinfo
  1.2       +46 -2     ports/deskutils/org-mode.el6/pkg-plist
  1.19      +5 -5      ports/deskutils/planner.el/Makefile
  1.19      +4 -0      ports/deskutils/remember.el/Makefile
  1.22      +1 -2      ports/devel/cedet/Makefile
  1.31      +8 -7      ports/devel/ecb/Makefile
  1.16      +1 -1      ports/devel/elib/Makefile
  1.33      +1 -0      ports/devel/psvn/Makefile
  1.23      +8 -7      ports/devel/xtla/Makefile
  1.424     +1 -0      ports/editors/Makefile
  1.48      +1 -1      ports/editors/apel/Makefile
  1.35      +2 -2      ports/editors/bitmap/Makefile
  1.85      +49 -20    ports/editors/emacs/Makefile
  1.17      +3 -3      ports/editors/emacs/distinfo
  1.7       +9 -9      ports/editors/emacs/files/patch-Makefile.in
  1.3       +20 -0     ports/editors/emacs/files/patch-doc-emacs-Makefile.in (new)
  1.3       +20 -0     ports/editors/emacs/files/patch-doc-lispintro-Makefile.in (new)
  1.3       +11 -0     ports/editors/emacs/files/patch-doc-lispref-Makefile.in (new)
  1.3       +11 -0     ports/editors/emacs/files/patch-doc-misc-Makefile.in (new)
  1.5       +0 -11     ports/editors/emacs/files/patch-lispintro-Makefile.in (dead)
  1.5       +0 -38     ports/editors/emacs/files/patch-lispref-Makefile.in (dead)
  1.4       +0 -11     ports/editors/emacs/files/patch-man-Makefile.in (dead)
  1.3       +10 -0     ports/editors/emacs/files/patch-sources.el (new)
  1.5       +0 -15     ports/editors/emacs/files/patch-src__alloc.c (dead)
  1.31      +999 -243  ports/editors/emacs/pkg-plist
  1.49      +3 -2      ports/editors/flim/Makefile
  1.29      +1 -1      ports/editors/gnuserv/Makefile
  1.19      +1 -1      ports/editors/mode-info/Makefile
  1.12      +8 -2      ports/editors/nxml/Makefile
  1.37      +1 -1      ports/editors/psgml/Makefile
  1.42      +3 -3      ports/editors/semi/Makefile
  1.14      +1 -1      ports/editors/slime/Makefile
  1.38      +2 -2      ports/editors/tamago/Makefile
  1.13      +0 -10     ports/editors/tamago/pkg-plist
  1.12      +8 -7      ports/editors/tree-widget/Makefile
  1.46      +1 -0      ports/irc/riece/Makefile
  1.26      +2 -2      ports/japanese/ddskk/Makefile
  1.11      +5 -1      ports/japanese/egg-canna/Makefile
  1.35      +1 -1      ports/japanese/lookup/Makefile
  1.10      +1 -1      ports/japanese/migemo-emacs21/Makefile
  1.3       +1 -1      ports/japanese/migemo-emacs22/Makefile
  1.13      +1 -1      ports/japanese/navi2ch/Makefile
  1.19      +1 -2      ports/java/jde/Makefile
  1.29      +5 -1      ports/lang/bigloo/Makefile
  1.10      +1 -2      ports/lang/csharp-mode.el/Makefile
  1.34      +1 -2      ports/lang/gforth/Makefile
  1.10      +1 -1      ports/lang/ocaml-mode.el/Makefile
  1.13      +1 -1      ports/mail/emh/Makefile
  1.49      +1 -2      ports/mail/mew/Makefile
  1.19      +1 -0      ports/mail/vm/Makefile
  1.4       +5 -0      ports/mail/wanderlust-devel/Makefile
  1.44      +4 -0      ports/mail/wanderlust/Makefile
  1.19      +1 -1      ports/misc/elscreen/Makefile
  1.6       +1 -0      ports/net-im/jabber.el/Makefile
  1.45      +1 -1      ports/net/tramp/Makefile
  1.9       +6 -4      ports/net/tramp/pkg-plist
  1.40      +1 -1      ports/print/yatex/Makefile
  1.5       +1 -1      ports/sysutils/plod/Makefile
  1.14      +1 -0      ports/textproc/dictem/Makefile
  1.18      +1 -2      ports/textproc/dictionary/Makefile
  1.4       +1 -3      ports/textproc/doc-mode.el/Makefile
  1.14      +8 -7      ports/textproc/muse/Makefile
  1.27      +1 -0      ports/textproc/uim-el/Makefile
  1.42      +6 -2      ports/www/emacs-w3m/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Boris Samorodov freebsd_committer 2009-12-20 20:29:23 UTC
State Changed
From-To: open->closed

Committed along with other changes to switch to Emacs 23. Thanks!